Contents

# NPer Function [VBA]

Calculates the number of periods for a loan or investment.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    NPer (Rate as Double, Pmt as Double, PV as Double, [FV as Variant], [Due as Variant])

### Return value:

Double

### Parameters:

Saffisni irradedeebi saffisa dhalaati.

NPern galii dhaabata waggaa yeroo idileetin kanfalamu.

PV is the (present) cash value of an investment.

FV (optional) is the future value of the loan / investment.

Due (optional) defines whether the payment is due at the beginning or the end of a period.

0 - the payment is due at the end of the period;

1 - the payment is due at the beginning of the period.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExampleNPer
     Dim period As Double
     period = NPer( 0.06, 153.75, 2600)
     Print period ' returns -12,02. The payment period covers 12.02 periods.
    End Sub

Matadureewwan Walfakkatan

NPER function in CALC

VBA financial functions